<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c" kind="struct" language="C++" prot="public">
    <compoundname>tHCI_EXT_FLOW_SPEC</compoundname>
    <includes local="no">hcidefs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a34fb62b69fbddd485047836ccabed569" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tHCI_EXT_FLOW_SPEC::id</definition>
        <argsstring />
        <name>id</name>
        <briefdescription>
<para>Unique Identifier. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1445" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1445" />
      </memberdef>
      <memberdef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a71b13184800a4f1c96835c8b488dcb8c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tHCI_EXT_FLOW_SPEC::stype</definition>
        <argsstring />
        <name>stype</name>
        <briefdescription>
<para>Service Type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1446" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1446" />
      </memberdef>
      <memberdef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a4f26da7e13bcae8adf7c5324b9463d5f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t tHCI_EXT_FLOW_SPEC::max_sdu_size</definition>
        <argsstring />
        <name>max_sdu_size</name>
        <briefdescription>
<para>Maximum SDU size. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1447" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1447" />
      </memberdef>
      <memberdef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a7dc80ab1094bfb71f5c9e57092516eca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t tHCI_EXT_FLOW_SPEC::sdu_inter_time</definition>
        <argsstring />
        <name>sdu_inter_time</name>
        <briefdescription>
<para>SDU Inter-arrival Time. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1448" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1448" />
      </memberdef>
      <memberdef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1ab32a780916680be06ac7cb4d18f29c3f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t tHCI_EXT_FLOW_SPEC::access_latency</definition>
        <argsstring />
        <name>access_latency</name>
        <briefdescription>
<para>Access Latency (in microseconds) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1449" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1449" />
      </memberdef>
      <memberdef id="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a93521aa4c3e42a08ba65985a9214e5c3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t tHCI_EXT_FLOW_SPEC::flush_timeout</definition>
        <argsstring />
        <name>flush_timeout</name>
        <briefdescription>
<para>Flush Timeout (in microseconds) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1450" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1450" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Define the extended flow specification fields used by AMP. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1451" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" bodystart="1443" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/hcidefs.h" line="1444" />
    <listofallmembers>
      <member prot="public" refid="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1ab32a780916680be06ac7cb4d18f29c3f" virt="non-virtual"><scope>tHCI_EXT_FLOW_SPEC</scope><name>access_latency</name></member>
      <member prot="public" refid="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a93521aa4c3e42a08ba65985a9214e5c3" virt="non-virtual"><scope>tHCI_EXT_FLOW_SPEC</scope><name>flush_timeout</name></member>
      <member prot="public" refid="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a34fb62b69fbddd485047836ccabed569" virt="non-virtual"><scope>tHCI_EXT_FLOW_SPEC</scope><name>id</name></member>
      <member prot="public" refid="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a4f26da7e13bcae8adf7c5324b9463d5f" virt="non-virtual"><scope>tHCI_EXT_FLOW_SPEC</scope><name>max_sdu_size</name></member>
      <member prot="public" refid="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a7dc80ab1094bfb71f5c9e57092516eca" virt="non-virtual"><scope>tHCI_EXT_FLOW_SPEC</scope><name>sdu_inter_time</name></member>
      <member prot="public" refid="structt_h_c_i___e_x_t___f_l_o_w___s_p_e_c_1a71b13184800a4f1c96835c8b488dcb8c" virt="non-virtual"><scope>tHCI_EXT_FLOW_SPEC</scope><name>stype</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>